release_name = "OpenCloudOS Stream EPOL"
release_short = "EPOL"
release_version = "9"
release_is_layered = False

variants_file='variants-EPOL.xml'
#sigkeys = ['3ABD50D2']
sigkeys = ['7A8B60FD']
create_jigdo = False

pkgset_source='koji'
pkgset_allow_reuse = True

#pkgset_koji_tag='dist-oc9-epol-compose'
pkgset_koji_tag='dist-ocs23-epol9'

# GATHER
#gather_prepopulate = "epol-packages.json"

gather_method = {
    '^.*': {                # For all variants
        'comps': 'nodeps',    # resolve dependencies for packages from comps file
    }
}

gather_backend = 'dnf'
greedy_method = 'none'
koji_profile = "koji"
link_type = 'copy'

createrepo_deltas = False
createrepo_database = True
createrepo_c = True
createrepo_checksum = "sha256"
createrepo_use_xz = True
createrepo_num_threads = 8
createrepo_num_workers = 8
createrepo_extra_args = ['--distro=cpe:/o:opencloudos:opencloudos:9,OpenCloudOS 9', '--revision=9.2']
hashed_directories = False

check_deps = False

additional_packages = [
        ('^Everything$', {
                '*': [ 
                        '*',
                ],
        }),
]

createiso_skip = [

        ('^EPOL$', {
            '*': True,
            'src': True
        }),
]

translate_paths = [
#       ("/mnt/koji", "https://build.opencloudos.tech/kojifiles"),
        ("/mnt/ocskoji", "https://build.stream.opencloudos.tech/kojifiles"),
]
